Back to Douyin
TikHub·Douyin
Douyin Web: Get user following list
/api/v1/douyin/web/fetch_user_following_listsync$0.0015 / callGet user following list. When requesting for the first time, pass 0 for maxtime, pass 2 for sourcetype, and an empty fans list will be returned, which contains maxtime, then pass the maxtime returned by the previous request for paging each time, pass 1 for sourcetype, you can get the fans list.. If you do not request according to the above method, it may cause the returned data to contain duplicat… (TikHub · Douyin Web)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| sec_user_id | string | — | User secuserid (default "MS4wLjABAAAA9y04iBlVdeMQqTJbqsQZKb-tqWqWW29jPVJqideHT70") |
| max_time | string | — | Maximum timestamp (default "0") |
| count | integer | — | Number (default 20) |
| source_type | integer | — | Source type (default 1) |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/douyin/web/fetch_user_following_list","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.